EmbodiFlow文档
开始使用数据工作流与算法训练与部署开发者参考
  • 开发者参考

认证

  • 认证概览
  • API 密钥
  • 个人访问令牌
  • 浏览器会话

REST API

  • 使用 REST API
  • 全部端点
  • 项目
    • 录制
      • 上传
        • 任务片段与版本
          • 标注
            • GET
              List annotation jobs for a project
            • POST
              Create a annotation job
            • GET
              Get a annotation job
            • PATCH
              Update a annotation job
            • POST
              Create a cancellation
            • POST
              Create a claim
            • GET
              List insights for a annotation job
            • GET
              List items for a annotation job
            • GET
              Get a item
            • POST
              Create a completion
            • POST
              Create a review
            • GET
              Get the project annotation schema
            • PUT
              Replace the project annotation schema, requireReview, and overlap flag
            • GET
              List skill taxonomy for a project
            • GET
              List resolved project skills
            • POST
              Add a skill term to the project taxonomy
            • POST
              Create a skill taxonomy
            • PATCH
              Update a skill taxonomy
            • GET
              List terms for a skill taxonomy
            • POST
              Create a term
          • 质量与任务
            • 检索
              • 工作流
                • 算法
                  • 模型
                    • 产物与导出
                      • 计费与用量
                        • 团队与治理
                          • 账号与通知
                            • Webhook 端点

                              事件

                              • 出站事件
                              • 签名校验

                              工具

                              • 命令行
                              • SDK
                              • MCP

                              更新

                              • 更新日志

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. 开发者参考
                              2. REST API
                              3. 标注
                              4. Get the project annotation schema

                              Get the project annotation schema

                              GET
                              /v1/projects/{projectId}/annotation-schema
                              curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/annotation-schema' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              认证

                              每个请求都需要携带个人访问令牌(PAT)。

                              • Authorization: Bearer PAT
                              认证指南

                              路径参数

                              • projectIdstring必填

                              响应

                              Success

                              • dataobject必填
                                • versionnumber必填
                                  可选值
                                  1
                                • languagesarray<string>必填
                                • fieldsobject必填
                                • subtaskLabelsarray<object>必填
                                • attributesarray<object>必填
                                • requireReviewone of必填
                                • allowEpisodeOverlapone of必填
                                • taskListarray<object>必填
                              响应示例
                              {
                                "data": {
                                  "version": 1,
                                  "languages": "en",
                                  "fields": {
                                    "task": {
                                      "enabled": false
                                    },
                                    "outcome": {
                                      "enabled": false
                                    },
                                    "subtasks": {
                                      "enabled": false
                                    },
                                    "subtaskOutcome": {
                                      "enabled": false
                                    },
                                    "relevance": {
                                      "enabled": false
                                    },
                                    "keyframeBoxes": {
                                      "enabled": false
                                    }
                                  },
                                  "subtaskLabels": [
                                    {
                                      "en": "string",
                                      "zh": "string"
                                    }
                                  ],
                                  "attributes": [
                                    {
                                      "key": "string",
                                      "type": "number",
                                      "options": [
                                        "string"
                                      ]
                                    }
                                  ],
                                  "requireReview": false,
                                  "allowEpisodeOverlap": false,
                                  "taskList": [
                                    {
                                      "en": "string",
                                      "zh": "string"
                                    }
                                  ]
                                }
                              }
                              服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              上一页

                              POST /projects/{projectId}/annotation-jobs/{jobId}/items/{itemId}/reviews

                              下一页

                              PUT /projects/{projectId}/annotation-schema

                              curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/annotation-schema' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              响应示例
                              状态码
                              200
                              ​
                              {
                                "data": {
                                  "version": 1,
                                  "languages": "en",
                                  "fields": {
                                    "task": {
                                      "enabled": false
                                    },
                                    "outcome": {
                                      "enabled": false
                                    },
                                    "subtasks": {
                                      "enabled": false
                                    },
                                    "subtaskOutcome": {
                                      "enabled": false
                                    },
                                    "relevance": {
                                      "enabled": false
                                    },
                                    "keyframeBoxes": {
                                      "enabled": false
                                    }
                                  },
                                  "subtaskLabels": [
                                    {
                                      "en": "string",
                                      "zh": "string"
                                    }
                                  ],
                                  "attributes": [
                                    {
                                      "key": "string",
                                      "type": "number",
                                      "options": [
                                        "string"
                                      ]
                                    }
                                  ],
                                  "requireReview": false,
                                  "allowEpisodeOverlap": false,
                                  "taskList": [
                                    {
                                      "en": "string",
                                      "zh": "string"
                                    }
                                  ]
                                }
                              }